<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Global</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Global</h1>

    




<section>

<header>
    
        <h2></h2>
        
    
</header>

<article>
    <div class="container-overview">
    
        

        


<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>


        
    
    </div>

    

    

    

    

    

    

    
        <h3 class="subsection-title">Members</h3>

        
            
<h4 class="name" id="animateCaesar"><span class="type-signature"></span>animateCaesar<span class="type-signature"></span></h4>




<div class="description">
    Container für Animationen, bei Caesar-Verfahren
</div>







<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Main.js.html">Main.js</a>, <a href="Main.js.html#line53">line 53</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id="bg"><span class="type-signature"></span>bg<span class="type-signature"></span></h4>




<div class="description">
    Hintergrund
</div>







<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Main.js.html">Main.js</a>, <a href="Main.js.html#line62">line 62</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id="caesarVerschiebung"><span class="type-signature"></span>caesarVerschiebung<span class="type-signature"></span></h4>




<div class="description">
    Verschiebung des Alphabet bei Caesar-Verfahren
</div>







<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Main.js.html">Main.js</a>, <a href="Main.js.html#line64">line 64</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id="canvas"><span class="type-signature"></span>canvas<span class="type-signature"></span></h4>




<div class="description">
    Globale Variablen
</div>







<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Main.js.html">Main.js</a>, <a href="Main.js.html#line3">line 3</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id="clickCounter"><span class="type-signature"></span>clickCounter<span class="type-signature"></span></h4>




<div class="description">
    Wird für Tausch-Button benötigt
</div>







<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Main.js.html">Main.js</a>, <a href="Main.js.html#line26">line 26</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id="initialRotation"><span class="type-signature"></span>initialRotation<span class="type-signature"></span></h4>




<div class="description">
    Rotaionspunkte der Buchstaben des äußeren Rings
</div>







<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Main.js.html">Main.js</a>, <a href="Main.js.html#line66">line 66</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id="labelRotation"><span class="type-signature"></span>labelRotation<span class="type-signature"></span></h4>




<div class="description">
    Rotaionspunkte der Buchstaben des inneren Rings
</div>







<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Main.js.html">Main.js</a>, <a href="Main.js.html#line68">line 68</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id="ringChars"><span class="type-signature"></span>ringChars<span class="type-signature"></span></h4>




<div class="description">
    Enthaelt Buchstaben von A - Z
</div>







<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Main.js.html">Main.js</a>, <a href="Main.js.html#line70">line 70</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id="scale"><span class="type-signature"></span>scale<span class="type-signature"></span></h4>




<div class="description">
    Wird für die Skallierung benötigt
</div>







<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Main.js.html">Main.js</a>, <a href="Main.js.html#line9">line 9</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id="timer"><span class="type-signature"></span>timer<span class="type-signature"></span></h4>




<div class="description">
    Wird für Timeout-Function benötigt
</div>







<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Main.js.html">Main.js</a>, <a href="Main.js.html#line7">line 7</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id="weiterBtn"><span class="type-signature"></span>weiterBtn<span class="type-signature"></span></h4>




<div class="description">
    Container für Weiter-Button
</div>







<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Main.js.html">Main.js</a>, <a href="Main.js.html#line55">line 55</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    
    <h4 class="name" id="angle"><span class="type-signature"></span>angle<span class="signature">(cx, cy, ex, ey)</span><span class="type-signature"> &rarr; {number}</span></h4>
    

    



<div class="description">
    Hilfsfunktion für Funktion rotationAngle
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>cx</code></td>
            

            <td class="type">
            
                
<span class="param-type">number</span>


            
            </td>

            

            

            <td class="description last">X-Koordinate des aktuellen Ziels</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>cy</code></td>
            

            <td class="type">
            
                
<span class="param-type">number</span>


            
            </td>

            

            

            <td class="description last">Y-Koordinate des aktuellen Ziels</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>ex</code></td>
            

            <td class="type">
            
                
<span class="param-type">number</span>


            
            </td>

            

            

            <td class="description last">Position auf de X-Achse im Verhältnis zur Stage</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>ey</code></td>
            

            <td class="type">
            
                
<span class="param-type">number</span>


            
            </td>

            

            

            <td class="description last">Position auf de Y-Achse im Verhältnis zur Stage</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="rotation.js.html">rotation.js</a>, <a href="rotation.js.html#line34">line 34</a>
    </li></ul></dd>
    

    

    

    
</dl>













<h5>Returns:</h5>

        
<div class="param-desc">
    theta Winkel in Grad zwischen aktueller Koordinate des Ziels und normalisierter Position im Verhältnis zur Stage
</div>



<dl>
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">number</span>


    </dd>
</dl>

    





        
            

    

    
    <h4 class="name" id="caesarEntschluesselung"><span class="type-signature"></span>caesarEntschluesselung<span class="signature">(evt)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Entschlüsselt den Geheimtext und ruft die Funktion für das Abspielen der Animation und die Ausgabe der Lösung auf.
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>evt</code></td>
            

            <td class="type">
            
                
<span class="param-type">event</span>


            
            </td>

            

            

            <td class="description last">Click-Event auf den Entschlüsseln-Button</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="caesarVerfahren.js.html">caesarVerfahren.js</a>, <a href="caesarVerfahren.js.html#line147">line 147</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="caesarVerschluesselung"><span class="type-signature"></span>caesarVerschluesselung<span class="signature">(evt)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Verschluesselt den Klartext und ruft die Funktion fuer das Abspielen der Animation und die Ausgabe der Lösung auf.
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>evt</code></td>
            

            <td class="type">
            
                
<span class="param-type">event</span>


            
            </td>

            

            

            <td class="description last">Click-Event auf den Verschlüsseln-Button</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="caesarVerfahren.js.html">caesarVerfahren.js</a>, <a href="caesarVerfahren.js.html#line1">line 1</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="checkChar"><span class="type-signature"></span>checkChar<span class="signature">(text)</span><span class="type-signature"> &rarr; {boolean}</span></h4>
    

    



<div class="description">
    Testet ob die Eingabe aus Buchstaben von A - z oder aus Leerzeichen besteht
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>text</code></td>
            

            <td class="type">
            
                
<span class="param-type">number</span>


            
            </td>

            

            

            <td class="description last">Char Code des aktuellen Buchstaben des Eingabetextes</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="caesarVerfahren.js.html">caesarVerfahren.js</a>, <a href="caesarVerfahren.js.html#line291">line 291</a>
    </li></ul></dd>
    

    

    

    
</dl>













<h5>Returns:</h5>

        
<div class="param-desc">
    Gibt true zurück falls Char Code im Bereich von 65 - 90 oder 32, sonst false
</div>



<dl>
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">boolean</span>


    </dd>
</dl>

    





        
            

    

    
    <h4 class="name" id="crypAnimation"><span class="type-signature"></span>crypAnimation<span class="signature">(index, input, result)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Spielt die Animation ab und gibt das Erbebnis der Verschlüsselung aus
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>index</code></td>
            

            <td class="type">
            
                
<span class="param-type">number</span>


            
            </td>

            

            

            <td class="description last">Aktueller Index im Array für die Eingabe und für das Ergebnis</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>input</code></td>
            

            <td class="type">
            
                
<span class="param-type">Array.&lt;string></span>


            
            </td>

            

            

            <td class="description last">Enthält Buchstaben der Eingabe</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>result</code></td>
            

            <td class="type">
            
                
<span class="param-type">Array.&lt;string></span>


            
            </td>

            

            

            <td class="description last">Enthält Buchstaben der Lösung</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="caesarVerfahren.js.html">caesarVerfahren.js</a>, <a href="caesarVerfahren.js.html#line60">line 60</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="encrypAnimation"><span class="type-signature"></span>encrypAnimation<span class="signature">(index, input, result)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Spielt die Animation ab und gibt das Erbebnis der Entschlüsselung aus
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>index</code></td>
            

            <td class="type">
            
                
<span class="param-type">number</span>


            
            </td>

            

            

            <td class="description last">Aktueller Index im Array für die Eingabe und fuer das Ergebnis</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>input</code></td>
            

            <td class="type">
            
                
<span class="param-type">Array.&lt;string></span>


            
            </td>

            

            

            <td class="description last">Enthält Buchstaben der Eingabe</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>result</code></td>
            

            <td class="type">
            
                
<span class="param-type">Array.&lt;string></span>


            
            </td>

            

            

            <td class="description last">Enthält Buchstaben der Lösung</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="caesarVerfahren.js.html">caesarVerfahren.js</a>, <a href="caesarVerfahren.js.html#line197">line 197</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="onResize"><span class="type-signature"></span>onResize<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Behandelt das Ändern der Fenstergröße im Browser
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Main.js.html">Main.js</a>, <a href="Main.js.html#line105">line 105</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="removeBtn"><span class="type-signature"></span>removeBtn<span class="signature">(btn)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Entfernt einen Button
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>btn</code></td>
            

            <td class="type">
            
                
<span class="param-type">Object</span>


            
            </td>

            

            

            <td class="description last">Button-Object das übergeben wurde</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="caesarVerfahren.js.html">caesarVerfahren.js</a>, <a href="caesarVerfahren.js.html#line316">line 316</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="removeShape"><span class="type-signature"></span>removeShape<span class="signature">(container, shape)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Entfernt den Pfeil auf der Caesar-Scheibe nach 6 Sekunden
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>container</code></td>
            

            <td class="type">
            
                
<span class="param-type">Object</span>


            
            </td>

            

            

            <td class="description last">Container-Object das zur Caesar-Scheibe hinzugefügt wurde</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>shape</code></td>
            

            <td class="type">
            
                
<span class="param-type">Object</span>


            
            </td>

            

            

            <td class="description last">Shape-Object das für die Animation erzeugt wurde</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="caesarVerfahren.js.html">caesarVerfahren.js</a>, <a href="caesarVerfahren.js.html#line302">line 302</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="rotationAngle"><span class="type-signature"></span>rotationAngle<span class="signature">(cx, cy, ex, ey)</span><span class="type-signature"> &rarr; {number}</span></h4>
    

    



<div class="description">
    Hilfsfunktion für die Drehung des Conainers, hilft die Ausrichtung zum Mittelpunkt zu haben
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>cx</code></td>
            

            <td class="type">
            
                
<span class="param-type">number</span>


            
            </td>

            

            

            <td class="description last">X-Koordinate des aktuellen Ziels</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>cy</code></td>
            

            <td class="type">
            
                
<span class="param-type">number</span>


            
            </td>

            

            

            <td class="description last">Y-Koordinate des aktuellen Ziels</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>ex</code></td>
            

            <td class="type">
            
                
<span class="param-type">number</span>


            
            </td>

            

            

            <td class="description last">Position auf de X-Achse im Verhältnis zur Stage</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>ey</code></td>
            

            <td class="type">
            
                
<span class="param-type">number</span>


            
            </td>

            

            

            <td class="description last">Position auf de Y-Achse im Verhältnis zur Stage</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="rotation.js.html">rotation.js</a>, <a href="rotation.js.html#line4">line 4</a>
    </li></ul></dd>
    

    

    

    
</dl>













<h5>Returns:</h5>

        
<div class="param-desc">
    theta Winkel zwischen aktueller Koordinate des Ziels und normalisierter Position im Verhältnis zur Stage
</div>



<dl>
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">number</span>


    </dd>
</dl>

    





        
            

    

    
    <h4 class="name" id="setup"><span class="type-signature"></span>setup<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Laedt Bilder und startet das Hauptmenü wenn der Ladevorgang komplett ist
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Main.js.html">Main.js</a>, <a href="Main.js.html#line72">line 72</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="startApp"><span class="type-signature"></span>startApp<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Startet die Webanwendung
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Main.js.html">Main.js</a>, <a href="Main.js.html#line83">line 83</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="tick"><span class="type-signature"></span>tick<span class="signature">(event)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Updated Stage bei jedem Tick des Timers
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>event</code></td>
            

            <td class="type">
            
                
<span class="param-type">event</span>


            
            </td>

            

            

            <td class="description last">Tick-Event des Timers</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Main.js.html">Main.js</a>, <a href="Main.js.html#line190">line 190</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
    

    

    
</article>

</section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Modules</h3><ul><li><a href="App.module_caesarModule.html">caesarModule</a></li></ul><h3>Classes</h3><ul><li><a href="App.module_caesarModule-CaesarShape.html">CaesarShape</a></li><li><a href="DecrypBtn.html">DecrypBtn</a></li><li><a href="EncrypBtn.html">EncrypBtn</a></li><li><a href="PruefButton.html">PruefButton</a></li><li><a href="SwitchButton.html">SwitchButton</a></li><li><a href="WeiterBtn.html">WeiterBtn</a></li><li><a href="ZurueckBtn.html">ZurueckBtn</a></li></ul><h3>Namespaces</h3><ul><li><a href="App.html">App</a></li></ul><h3>Global</h3><ul><li><a href="global.html#angle">angle</a></li><li><a href="global.html#animateCaesar">animateCaesar</a></li><li><a href="global.html#bg">bg</a></li><li><a href="global.html#caesarEntschluesselung">caesarEntschluesselung</a></li><li><a href="global.html#caesarVerschiebung">caesarVerschiebung</a></li><li><a href="global.html#caesarVerschluesselung">caesarVerschluesselung</a></li><li><a href="global.html#canvas">canvas</a></li><li><a href="global.html#checkChar">checkChar</a></li><li><a href="global.html#clickCounter">clickCounter</a></li><li><a href="global.html#crypAnimation">crypAnimation</a></li><li><a href="global.html#encrypAnimation">encrypAnimation</a></li><li><a href="global.html#initialRotation">initialRotation</a></li><li><a href="global.html#labelRotation">labelRotation</a></li><li><a href="global.html#onResize">onResize</a></li><li><a href="global.html#removeBtn">removeBtn</a></li><li><a href="global.html#removeShape">removeShape</a></li><li><a href="global.html#ringChars">ringChars</a></li><li><a href="global.html#rotationAngle">rotationAngle</a></li><li><a href="global.html#scale">scale</a></li><li><a href="global.html#setup">setup</a></li><li><a href="global.html#startApp">startApp</a></li><li><a href="global.html#tick">tick</a></li><li><a href="global.html#timer">timer</a></li><li><a href="global.html#weiterBtn">weiterBtn</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc3/jsdoc">JSDoc 3.5.5</a> on Sun Feb 25 2018 19:14:53 GMT+0100 (Mitteleuropäische Zeit)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>